Subject: Re: Is there some articles discussing how to change bare-board code to linux driver?

From: Andrei Konovalov <[email-masked]>
Date: Wed, 30 Nov 2005 13:04:37 +0300

David H. Lynch Jr wrote:
> Where can I find the ./drivers/net/xilinx_enet, ... etc files.
> I can not find them in the 2.6.14.2 tree

They are in the linuxppc-2.4 tree. Try
rsync -avz --delete source.mvista.com::linuxppc-2.4 <directory>

-- Andrei

> T Ziomek wrote:
> 
>>>    Where can i find them?thanks.
>>
>>
>> In addition to LDD3 (for 2.6 kernels, or the freely available LDD2 for 
>> 2.4 kernels), you might want to look at some existing Linux drivers 
>> that are
>> based on "bare metal" / "no OS" drivers.  The ones I know of are for 
>> Xilinx
>> peripherals, for example (within the Linux kernel tree),
>> - ./drivers/net/xilinx_enet
>> - ./drivers/char/xilinx_uartlite
>> - ./drivers/char/xilinx_gpio
>>
>> Tom
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded